diff --git a/cnab/helm/templates/deployment.yaml b/cnab/helm/templates/deployment.yaml
index 4d3a42e..c71d656 100644
--- a/cnab/helm/templates/deployment.yaml
+++ b/cnab/helm/templates/deployment.yaml
@@ -74,7 +74,7 @@ spec:
       {{- end }}
       containers:
         - name: {{ .Chart.Name }}
-          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
+          image: "{{ .Values.image.repository }}@{{ .Values.image.tag }}"
           imagePullPolicy: {{ .Values.image.pullPolicy }}
           command: {{  tpl (toJson .Values.supersetNode.command) . }}
           env:
